package stuff

import (
	"testing"

	"github.com/smartystreets/stuff/xunit"
)

func TestStuff(t *testing.T) {
	xunit.RunTests(new(TestCase), t)
}

type TestCase struct {
	sut *SystemUnderTest
}

func (test *TestCase) Setup() {
	test.sut = NewSystemUnderTest()
}

func (test *TestCase) Test42(t *testing.T) {
	if result := test.sut.Computation(42); result != 42 {
		t.Errorf("Got: [%d] Want: [%d]", result, 42)
	}
}

func (test *TestCase) Test43(t *testing.T) {
	if result := test.sut.Computation(43); result != 43 {
		t.Errorf("Got: [%d] Want: [%d]", result, 43)
	}
}
